Update Reader Settings

PATCH/v0.1/merchants/{merchant_code}/readers/{reader_id}/settings

Updates the menu lock settings for a Solo reader. The reader must be online. A successful response confirms that the reader applied the update.

Include at least one of menu_lock.enabled or menu_lock.passcode. Omitted settings keep their current values. The response contains only the settings included in the request.

When enabling menu lock for a reader without a PIN, include a four-digit PIN in menu_lock.passcode in the same request.

OAuth scopes: Requires one of: readers.write.

Required permissions:

  • readers.checkouts.create

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2 with scopes readers.write
Authorization guide

Path parameters

  • merchant_codestringrequired

    The merchant code of the account that owns the reader.

  • reader_idstringrequired

    The unique identifier of the reader.

Body parameters

application/jsonrequired

Menu lock settings to update.

  • menu_lockobjectrequired

    Menu lock configuration. Provide at least one of enabled or passcode.

    Show 2 properties
    • enabledboolean

      Whether menu lock is enabled.

      Example: true

    • passcodestring
      format: passwordpattern: ^[0-9]{4}$

      Four-digit PIN used to unlock the reader's menu.

      Example: "1234"

Responses

200application/json

Reader settings updated successfully.

  • dataobjectrequired
    Show 2 properties
    • menu_lockobjectrequired

      Settings included in the update. Omitted fields are not returned.

      Show 2 properties
      • enabledboolean

        Whether menu lock is enabled.

        Example: true

      • passcodestring
        format: passwordpattern: ^[0-9]{4}$

        Four-digit PIN used to unlock the reader's menu.

        Example: "1234"

    • statusstringrequired
      Options:"applied"

      Indicates that the reader applied the settings update.

      Example: "applied"

400application/json

The request body is malformed.

  • errorsobjectrequired
    Show 2 properties
    • detailstringrequired

      Error message

    • typestring

      Error code

application/problem+json

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

{
  "detail": "Bad Request",
  "status": 400,
  "title": "Bad Request",
  "type": "https://developer.sumup.com/problem/bad-request"
}
401application/json

Unauthorized

  • errorsobjectrequired
    Show 2 properties
    • detailstringrequired

      Error message

    • typestring

      Error code

application/problem+json

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

{
  "detail": "Unauthorized",
  "status": 401,
  "title": "Unauthorized",
  "type": "https://developer.sumup.com/problem/unauthorized"
}
404application/json

The reader was not found.

  • errorsobjectrequired
    Show 1 property
    • detailstringrequired

      Fuller message giving context to error

application/problem+json

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

{
  "detail": "The requested resource doesn't exist or does not belong to you.",
  "status": 404,
  "title": "Requested resource couldn't be found.",
  "type": "https://developer.sumup.com/problem/not-found"
}
422application/json

The settings are invalid, the reader is offline, the reader model is not supported, or the reader could not apply the update.

application/problem+json

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

{
  "detail": "The device is offline.",
  "status": 422,
  "title": "Reader Offline",
  "type": "https://developer.sumup.com/problem/reader-offline"
}

Type to search…